function mpeSetCallMenu(MenuID,sNumber)
{
	var menu;
	menu = document.getElementById(MenuID);
	if (sNumber) {
		menu.removeAttribute("disabled");
		menu.setAttribute("label", menu.getAttribute("value") + ":  " + sNumber);
	}
	else {
		menu.setAttribute("disabled","true");
		menu.setAttribute("label", menu.getAttribute("value"));
	}
}

function mpeOnMessageSend()
{
	var numbers = "";
	var tree = document.getElementById("abResultsTree");

	for (var j = 0; tree.view.rowCount > j; j++) {
		if(tree.view.selection.isSelected(j)) {
			address = "";
			var mycolumn = tree.columns ? tree.columns["CellularNumber"] : string;
			address = tree.view.getCellText(j,mycolumn);
 			if (!address) {
				var mycolumn = tree.columns ? tree.columns["WorkPhone"] : string;
				address = tree.view.getCellText(j,mycolumn);
				if (!address) {
					var mycolumn = tree.columns ? tree.columns["HomePhone"] : string;
					address = tree.view.getCellText(j,mycolumn);
					if (!address) {
						var mycolumn = tree.columns ? tree.columns["PagerNumber"] : string;
						address = tree.view.getCellText(j,mycolumn);
						if (!address) {
							var mycolumn = tree.columns ? tree.columns["FaxNumber"] : string;
							address = tree.view.getCellText(j,mycolumn);
						}
					}
				}
			}
			
			if (address.length != 0) {
				numbers += address + ";";
			}
		}
	}
 
	if (numbers.length != 0) {
		try {
			var mpe = Components.classes["@fjsoft.at/MyPhoneExplorer;1"].getService().wrappedJSObject;

			mpe.SendMessage(numbers);
		}
		catch (ex) {
			alert("Could not send message via MPE!");
		}
	}
}

function mpeOnCall(NumberType)
{
	var tree = document.getElementById("abResultsTree");
	var mycolumn = tree.columns ? tree.columns[NumberType] : string;
    	var num = tree.view.getCellText(tree.currentIndex,mycolumn);
	
	if (num) {
		try {
			var mpe = Components.classes["@fjsoft.at/MyPhoneExplorer;1"].getService().wrappedJSObject;

			mpe.DialNumber(num);
		}
		catch (ex) {
			alert("Could not dial number via MPE!");
		}
	}
}

function mpeOnPopup()
{
	var tree = document.getElementById("abResultsTree");
	
	var mycolumn = tree.columns ? tree.columns["CellularNumber"] : string;
    	var num = tree.view.getCellText(tree.currentIndex,mycolumn);
	mpeSetCallMenu("mpeCall-Cell",num);
	
	var mycolumn = tree.columns ? tree.columns["HomePhone"] : string;
    	var num = tree.view.getCellText(tree.currentIndex,mycolumn);
	mpeSetCallMenu("mpeCall-Home",num);

	var mycolumn = tree.columns ? tree.columns["WorkPhone"] : string;
    	var num = tree.view.getCellText(tree.currentIndex,mycolumn);
	mpeSetCallMenu("mpeCall-Work",num);

	var mycolumn = tree.columns ? tree.columns["PagerNumber"] : string;
    	var num = tree.view.getCellText(tree.currentIndex,mycolumn);
	mpeSetCallMenu("mpeCall-Pager",num);
	
	var mycolumn = tree.columns ? tree.columns["FaxNumber"] : string;
     	var num = tree.view.getCellText(tree.currentIndex,mycolumn);
	mpeSetCallMenu("mpeCall-Fax",num);
}
